
TemplaVoila - Bug # 43542

Status: Resolved Priority: Should have
Author: Tolleiv Nietsch Category:
Created: 2012-12-03 Assigned To:
Updated: 2015-03-10 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Has patch: No
Reporter:
Is Regression: No
Affected Version:
Subject: TV does not respect "Show in Section Menus"
Description

After upgrading to 1.7.0 we found out, that TV is not respecting the above mentioned setting in the page properties anymore. It will
show any content in section menu.

Furthermore even hidden content is included in the section menu.

-> Copied from http://bugs.typo3.org/view.php?id=18524

Related issues:
duplicated by TemplaVoila - Bug # 45583: improper render of sectionIndex Resolved 2013-02-18

Associated revisions
Revision 33f3e535 - 2015-03-10 13:10 - Tolleiv Nietsch

[BUGFIX] Make sectionIndex aware of the "hide" flag

Resolves: #43543
Resolves: #43542
Resolves: #46487
Releases: 1.9

Change-Id: Ica7dd9350687cd04e31c56d35b976d97a3923977
Reviewed-on: http://review.typo3.org/37699
Reviewed-by: Jose Antonio Guerra <jaguerra@icti.es>
Tested-by: Jose Antonio Guerra <jaguerra@icti.es>
Reviewed-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>
Tested-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>

History
#1 - 2014-04-04 16:37 - Alexander Schnitzler
- Target version set to 1.9.1

#2 - 2014-05-19 09:42 - Christian Nölle

Just to clarify this, as the old bugs.typo3.org is not accessible any more and the solution was recorded on this:

One has to change in ext_localconf.php round abtou line 17
//sectionIndex replacement    
$tvSetup[] = 'tt_content.menu.20.3 = USER    
tt_content.menu.20.3.userFunc = tx_templavoila_pi1->tvSectionIndex
tt_content.menu.20.3.select.where >
tt_content.menu.20.3.indexField.data = register:tx_templavoila_pi1.current_field    
';

to

//sectionIndex replacement
$tvSetup[] = 'tt_content.menu.20.3 = USER
tt_content.menu.20.3.userFunc = tx_templavoila_pi1->tvSectionIndex
tt_content.menu.20.3.select.where >
tt_content.menu.20.3.indexField.data = register:tx_templavoila_pi1.current_field
tt_content.menu.20.3.renderObj.if.value.field = sectionIndex
tt_content.menu.20.3.renderObj.if.equals = 1
';

#3 - 2014-05-19 09:45 - Christian Nölle

Just tried a pull request on Github... Not very familiar with that... :D

#4 - 2014-07-02 17:47 - Alexander Schnitzler
- Target version changed from 1.9.1 to 1.9.2
- Is Regression set to No

#5 - 2015-02-13 11:40 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/templavoila has been pushed to the review server.
It is available at http://review.typo3.org/15601

#6 - 2015-03-09 12:24 - Alexander Schnitzler
- Target version changed from 1.9.2 to 1.9.x

#7 - 2015-03-10 12:52 - Gerrit Code Review

Patch set 1 for branch templavoila_1-9 of project TYPO3CMS/Extensions/templavoila has been pushed to the review server.
It is available at http://review.typo3.org/37699

#8 - 2015-03-10 13:11 - Alexander Schnitzler
- Target version changed from 1.9.x to 1.9.5

#9 - 2015-03-10 13:34 - Tolleiv Nietsch
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:33f3e53565a3eb8157111759bc0b25f26afe59e5.
